<?php
/**
 * @package   FL Yandex Zen Plugin
 * @author    Дмитрий Васюков http://fictionlabs.ru
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 */

defined('_JEXEC') or die;

class FLYandexZenCoreContent extends FLYandexZenCore {

	// Get COM_CONTENT Content

	public function getContent()
	{	
		$result = array();
		$items 	= $this->getItems();

		if (!empty($items)) {
			foreach ($items as $item) {	
				$date 		   	= new JDate($item->created);
				$slug    		= $item->id . ':' . $item->alias;
				$link 			= JRoute::_(ContentHelperRoute::getArticleRoute($slug, $item->catid, $item->language), false, $this->ssl);
				$image 			= $this->getImage($item->images);
				$content 		= $item->introtext.$item->fulltext;

				if (!empty($image)) {
					$content 	= $this->getImageLayout($image[0], $item->title).$content;
				}
				
				$result[] = array(
					'title' 		=> htmlspecialchars($item->title),
					'images'		=> $this->getImagesFromHtml($content),
					'video' 		=> $this->getVideoFromHtml($content),
					'categories'    => $this->getCategories(array($item->category_title)),
					'link' 			=> $link,
					'date' 			=> $date->toRFC822(true),
					'author' 		=> $this->getAuthor($item->created_by),
					'content' 		=> $this->prepareContent($content),
				);
			}
		}

		return $result;
	}

	// Get Content Items

	public function getItems()
	{
		JLoader::register('ContentHelperRoute', JPATH_SITE . '/components/com_content/helpers/route.php');

		JModelLegacy::addIncludePath(JPATH_SITE . '/components/com_content/models', 'ContentModel');

		$category = 

		$items 			= array();
		$options 		= $this->params->get('content_options');
		$catId 			= isset($options->content_catid) ? $options->content_catid : array();
		$limit 			= isset($options->content_count) ? $options->content_count : 500;

		// Set ordering
		$ordering 		= 'a.created';
		$dir      		= 'DESC';

		// Get an instance of the generic articles model
		$model = JModelLegacy::getInstance('Articles', 'ContentModel', array('ignore_request' => true));

		// Set application parameters in model
		$app       = JFactory::getApplication();
		$appParams = $app->getParams();
		$model->setState('params', $appParams);

		// Set the filters based on the module params
		$model->setState('list.start', 0);
		$model->setState('list.limit', $limit);
		$model->setState('filter.published', 1);

		// Access filter
		$access     = !JComponentHelper::getParams('com_content')->get('show_noauth');
		$authorised = JAccess::getAuthorisedViewLevels(JFactory::getUser()->get('id'));
		$model->setState('filter.access', $access);

		// Category filter
		$model->setState('filter.category_id', $catId);

		// Filter by language
		$model->setState('filter.language', $app->getLanguageFilter());

		//  Featured switch
		switch ($options->content_show_featured) {
			case '1' :
				$model->setState('filter.featured', 'only');
				break;
			case '0' :
				$model->setState('filter.featured', 'hide');
				break;
			default :
				$model->setState('filter.featured', 'show');
				break;
		}

		$model->setState('list.ordering', $ordering);
		$model->setState('list.direction', $dir);

		$items = $model->getItems();

		return $items;
	}

	// Get Content Image Function

	public function getImage($string)
	{
		// Get Images From Content
		$image 		= array();
		$json 		= json_decode($string);

		if (!empty($json->image_fulltext)) {
			$image[] = JURI::root().$json->image_fulltext;

			return $image;
		}

		if (!empty($json->image_intro)) {
			$image[] = JURI::root().$json->image_intro;

			return $image;
		}

		return $image; 
	}
}