<?php

/**
 * @package   FL Yandex Zen Plugin
 * @author    Дмитрий Васюков https://fictionlabs.ru
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

// Modules

$moduleTop      = $this->renderModule('fl-yandex-turbo-top');
$moduleBottom   = $this->renderModule('fl-yandex-turbo-bottom');

?>
<?php echo '<?xml version="1.0" encoding="UTF-8"?>'.PHP_EOL; ?>
<rss version="2.0"
    xmlns:content="http://purl.org/rss/1.0/modules/content/"
    xmlns:dc="http://purl.org/dc/elements/1.1/"
    xmlns:media="http://search.yahoo.com/mrss/"
    xmlns:atom="http://www.w3.org/2005/Atom"
    xmlns:georss="http://www.georss.org/georss">

    <?php if (!empty($items)) : ?>

        <channel>
            <title><?php echo $this->params->get('channel_title'); ?></title>
            <link><?php echo JURI::root(); ?></link>
            <description><?php echo $this->params->get('channel_description'); ?></description>
            <language><?php echo $this->params->get('channel_language'); ?></language>

    		<?php foreach ($items as $key => $item) : ?>
    	        <item>
    	           	<title><?php echo $item['title']; ?></title>
    	           	<link><?php echo htmlspecialchars($item['link']); ?></link>
    	           	<guid isPermaLink="false"><?php echo htmlspecialchars($item['link']); ?></guid>
    	           	<pubDate><?php echo $item['date']; ?></pubDate>
    	           	<author><?php echo $item['author']; ?></author>

                    <?php if ($this->params->get('items_rating')) : ?>
                        <media:rating scheme="urn:simple"><?php echo $this->params->get('items_rating'); ?></media:rating>>
                    <?php endif; ?>

                    <?php if (!empty($item['categories'])) : ?>
                        <?php foreach ($item['categories'] as $key => $category) : ?>
                            <category><?php echo $category; ?></category>
                        <?php endforeach; ?>
                    <?php endif; ?>

                    <?php if (!empty($item['images'])) : ?>
                        <?php foreach ($item['images'] as $key => $image) : ?>
                            <enclosure url="<?php echo $image; ?>" type="<?php echo $this->getMimeType($image); ?>" length="<?php echo filesize(str_replace(JURI::root(), JPATH_ROOT.'/', $image)); ?>" />
                        <?php endforeach; ?>
                    <?php endif; ?>

                    <?php if (!empty($item['video'])) : ?>
                        <?php foreach ($item['video'] as $key => $video) : ?>
                            <enclosure url="<?php echo $video; ?>" type="<?php echo $this->getMimeType($video); ?>" />
                        <?php endforeach; ?>
                    <?php endif; ?>

    	            <content:encoded><?php echo '<![CDATA['.
                        $moduleTop.                                         // Module Position Top
                        $item['content'].                                   // Content
                        $moduleBottom.                                      // Module Position Bottom
                        ']]>'; ?>
                    </content:encoded>
    	        </item>
    		<?php endforeach; ?>

    	</channel>

    <?php else : ?>
        <noitems><?php echo JText::_('PLG_FLYANDEXZEN_NO_ITEMS');?></noitems>
    <?php endif; ?>
</rss>